      subroutine zoom 
c
c James Blake
c @(#)zoompan.f	1.1  4/3/89 
c
      include 'device_type.h'
c
      if (color_ws .or. mono_ws) then
         write(6,*) 
     &'Click with the left mouse button and release, then adjust. '
         call flush(6)
         call rubber_box (rlx,rly,rhx,rhy)
         ilx = screenx(rlx)
         ily = screeny(rly)
         ihx = screenx(rhx)
         ihy = screeny(rhy)
         call cfvdcext (ilx,ily,ihx,ihy)
      endif
      return
      end
c
c
c
      subroutine pan
      include 'device_type.h'
c
c     Well, it's actually "un-zoom"
c
      if (color_ws .or. mono_ws) then
         call cfvdcext(0,0,32767,32767)
      endif
      return
      end

